From e385893e235702b673841964bfe4ae44e9e26253 Mon Sep 17 00:00:00 2001
From: Mark Cox <markcox80@gmail.com>
Date: Wed, 24 Oct 2012 21:56:28 +1000
Subject: [PATCH 2/2] The function CFFI-GROVEL::%INVOKE on ECL now binds
 *STANDARD-INPUT*, *STANDARD-OUTPUT* and *ERROR-OUTPUT*
 to the standard streams.

---
 grovel/invoke.lisp | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/grovel/invoke.lisp b/grovel/invoke.lisp
index e086ff9..e7b3ff8 100644
--- a/grovel/invoke.lisp
+++ b/grovel/invoke.lisp
@@ -61,8 +61,11 @@
 ;;; command failed or not.  Using EXT:SYSTEM instead, but we should
 ;;; quote arguments.
 #+ecl
-(defun %invoke (command arglist)
-  (values (ext:system (format nil "~A~{ ~A~}" command arglist))
+(defun %invoke (command arglist)  
+  (values (let ((*standard-input* nil)
+                (*standard-output* ext:+process-standard-output+)
+                (*error-output* ext:+process-error-output+))
+            (ext:system (format nil "~A~{ ~A~}" command arglist)))
           "<see above>"))
 
 #+(or openmcl cmu scl sbcl)
-- 
1.8.0

